{	
	saved_firstTime [1]
	
	Init[()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(1);
			SetWalking();
			PlayAnimation(0);
			Delay(Random(3,8),1);
			GiveWeapon(56);
		}
	}]

	DelayReached[ (dy)
	{
		if( dy=1 )
		{
			if( not IsDead() )
			{
				PlayAnimation(3,1,0);
				Delay(3,2);
			}
		}
		if( dy=2 )
		{
			if( not IsDead() )
			{
				TurnToLocation(Random(3712,11622),25984);
				Delay( Random(1,3),1 );
			}
		}
	}]
}